Page MenuHomePhabricator

Timeless skin: Echo badges cause header layout problem on Chinese interface
Closed, ResolvedPublic

Description

Browser: 2345 Browser (Chrome 47.0.2526.108)
The layout is not fine when switching to Chinese interface on the top right corner.


But curiously, after clicking the notification button, the layout turns alright. But things will be not well after opening a new page again.
I noticed that changing the text "提醒 (0条)" in

<a href="/wiki/Special:Notifications" class="mw-echo-notifications-badge mw-echo-notification-badge-nojs mw-echo-notifications-badge-all-read" data-counter-num="0" data-counter-text="0" title="您的提醒">提醒 (0条)</a>

into English do affect the layout.

Event Timeline

Isarra added a subscriber: Isarra.Aug 22 2017, 7:24 PM

Echo container issues again. May be related to how I was seeing the exact same thing when we were deploying to the french projects. I could have sworn this was fixed (twice!) but clearly not.

Isarra renamed this task from Timeless skin layout problem on Chinese interface to Timeless skin: Echo badges cause header layout problem on Chinese interface.Aug 22 2017, 7:49 PM
Tpt added a subscriber: Tpt.Sep 1 2017, 8:08 PM

There is the same problem on French Wikisource with Safari 10:

H78c67c added a subscriber: H78c67c.Sep 6 2017, 7:06 AM

Your patch "resolved" this problem by introducing another problem on frwikisource: Now the ">" holds "T" of Toutes a little

Is this resolved? If not, couple you please provide links to where it can still be reproduced?

H78c67c removed a subscriber: H78c67c.Sep 5 2018, 2:22 PM
Isarra moved this task from Backlog to Compatibility on the Timeless board.Aug 10 2019, 1:54 PM
Isarra closed this task as Resolved.Aug 13 2019, 9:36 PM
Isarra claimed this task.

Resolved some time ago, probably upstream (different badge layouts?)

Shizhao moved this task from Backlog to Closed on the Chinese-Sites board.Aug 14 2019, 6:55 AM